(function(){
    X.pageLogic['nodedetails'] = {
        init : function(parms){
            var me = this;
            this.parms = parms;
            this.callback = parms.callback;
            var data = parms.extData;
            console.log("nodedetails",data);
            X.laytpldata("#nodedetails-event-box-scll-dot",data,".nodedetails-event-box-scll");

            $(document).off('click','.nodedetails-top-box img').on('click','.nodedetails-top-box img',function(){
                layer.closeAll();
            })

            $(document).off("click",'.nodedetails-event-userinfo').on("click",".nodedetails-event-userinfo",function(){
                var tit = $(this).attr("data-title");
                var type = $(this).attr("data-type");
                if(type || tit == "流失"){
                    var namearr = data.name.split("-");
                    tit = tit+"-"+ (Number(namearr[1])+Number(1));
                }
                if(tit == "更多"){
                    var namearr = data.name.split("-");
                    tit = "more-up-"+ (Number(namearr[1])+Number(1));
                }
 
                data.data['events']['event_name'] = tit;
                data.data['events']['page'] = 1;
                data.data['events']['event_next'] = data.event_next;
                X.gourl('userinfolist','conetnt');//跳到对应的分析页面
                X.DATA['trace_query_cond'] = data.data;
            })

        }
    };
})();